dots.v2.kubernetes.clusters.byCluster_id().status_messages.get()

Generated on 5 Nov 2026 from DoTs version v1.23.0

Usage

client.v2.kubernetes.clusters.byCluster_id(cluster_id).status_messages.get(requestConfiguration?: RequestConfiguration<Status_messagesRequestBuilderGetQueryParameters>): Promise<undefined | Status_messagesGetResponse>

Description

To retrieve status messages for a Kubernetes cluster, send a GET request to /v2/kubernetes/clusters/{cluster_id}/status_messages. Status messages inform users of any issues that come up during the cluster lifecycle.

Parameters

Path Parameters

cluster_id string required

Example: bd5f5959-5e1e-4205-a714-a914373942af

A unique ID that can be used to reference a Kubernetes cluster.

Min: 1

Query Parameters

since string optional

Example: 2018-11-15T16:00:11Z

A timestamp used to return status messages emitted since the specified time. The timestamp should be in ISO8601 format.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.kubernetes.clusters
    .byCluster_id("bd5f5959-5e1e-4205-a714-a914373942af").status_messages.get();

Response Example

Show Response Example
{
  "messages": [
    {
      "message": "Resource provisioning may be delayed while our team resolves an incident",
      "timestamp": "2018-11-15T16:00:11Z"
    }
  ]
}

More Information

See /v2/kubernetes/clusters/{cluster_id}/status_messages in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.